{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
<h4><a href="../jobs/{{path}}"><- {{path}}</a></h4>
{{ status|pretty_job_status|safe}}
{{ n_warnings|pretty_warning_badge|safe}}
{% if let Some(ended) = ended %}
<span class="badge" style="background-color: Grey">Runtime: {{ started|duration_between(ended) }}</span>
{% endif %}
<ul class="job-status">
    <li>Id:<code>{{job_id}}</code></li>
    <li>Start Time:<code>{{ started|timestamp }}</code></li>
    <li>Path:<code>{{ path }}</code></li>
    <li>Kind:<code>{{ kind }}</code></li>
{%- if let Some(code) = exit_code %}
<li>Exit Code:<code>{{ code }}</code></li>
{%- else %}
<li>Exit Code:<code>Not Available</code></li>
{%- endif -%}
</ul>
{%- if let Some(output) = output %}
<code>{{output}}</code>
{%- endif -%}
{% if kind == "Mirror" %}
<h4>Warnings ({{n_warnings}})</h4>
<table>
    <tr>
        <th> Kind </th>
        <th> Message </th>
    </tr>
    {% for entry in warnings %}
    <tr>
        <td>{{entry.1}}</td>
        <td><code>{{entry.2}}</code></td>
    </tr>
    {% endfor %}
</table>
<h4>Refs ({{ n_refs }})</h4>
<table>
    <tr>
        <th>Name</th>
        <th>Status</th>
        <th>Message</th>
    </tr>
    {% for ref in refs %}
    <tr>
        <td>{{ ref.0 }}</td>
        {% if ref.1 %}
        <td><span class="badge" style="background-color: DarkGreen">Success</span></td>
        {% else %}
        <td><span class="badge" style="background-color: Indigo">Failed</span></td>
        {% endif %}
        <td><code>{{ ref.2 }}</code></td>
    </tr>
    {% endfor %}
</table>
{% endif %}
{% endblock %}
